#ifndef EDAPI_JOURNAL_FILE_H
#define EDAPI_JOURNAL_FILE_H

#include <edapi/error.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

G_DECLARE_FINAL_TYPE(EDJournalFile, ed_journal_file, ED, JOURNALFILE, GObject);

#define ED_TYPE_JOURNALFILE ed_journal_file_get_type()

EDJournalFile *ed_journal_file_new(void);

EDErrorCode ed_journal_file_parse(EDJournalFile *file, char const *filename);

EDErrorCode ed_journal_file_open(EDJournalFile *file, char const *filename);

G_END_DECLS

#endif
